%global modname resultsdb_listener

Name:               python-ci-resultsdb-listener
Version:            1.1.5
Release:            1%{?dist}
Summary:            A fedora-messaging consumer uploading results to resultsdb

Group:              Development/Libraries
License:            GPLv2+
URL:                https://pagure.io/ci-resultsdb-listener
Source0:            https://releases.pagure.org/ci-resultsdb-listener/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-fedora-messaging

Requires:           python3-fedora-messaging
Requires:           python3-resultsdb_api

%description
This application listens for ci messages sent by ci.centos.org for Fedora
packages in the fedora-messaging message bus and upload their results to
resultsdb.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

# Install the application config file
mkdir -p %{buildroot}%{_sysconfdir}/ci-resultsdb-listener/
cp -p conf/listener.cfg.example %{buildroot}%{_sysconfdir}/ci-resultsdb-listener/listener.cfg

%files
%doc README.rst
%license LICENSE
%config(noreplace) %{_sysconfdir}/ci-resultsdb-listener/listener.cfg

%{python3_sitelib}/%{modname}/*
%{python3_sitelib}/%{modname}-%{version}*


%changelog
* Mon Sep 14 2020 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.5-1
- Be more tolerant to invalid messages

* Mon Sep 14 2020 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.4-1
- Do not assume the scratch field is always present

* Wed May 13 2020 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.3-1
- Support message where the pipeline.build field is empty as it is optional in
  0.2.x messages

* Wed Nov 13 2019 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.2-1
- Fix the test case name so it uses the test type rather than the artifact type

* Wed Nov 13 2019 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.1-1
- Fix the content of the "type" field of the results uploaded to resultsdb to be
  consistent with the existing tests

* Thu Nov 07 2019 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1-1
- Make the new message format use the item field in resultsdb
- Catch the exception that uploading to resultsdb can throw

* Fri Oct 18 2019 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0-1
- Drop fedmsg for fedora-messaing
- Port to python3
- Port the sources to black
- Add support CI message version 0.2.1 (Bruno Goncalves)

* Fri Mar 01 2019 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.3-1
- Add missing exception that is used in the code
- Bug fix release for fixing the spec file
- Get topic from body['ci_topic'] instead of 'topic'

* Wed Oct 17 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2-1
- Add support for the allpackages messages

* Fri Sep 29 2017 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1-1
- Initial packaging for Fedora
